Package org.springframework.cache.annotation

# Class ProxyCachingConfiguration

java.lang.Object
org.springframework.cache.annotation.AbstractCachingConfiguration
org.springframework.cache.annotation.ProxyCachingConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `ImportAware`

@Configuration(proxyBeanMethods=false) @Role(2) public class ProxyCachingConfiguration extends AbstractCachingConfiguration
`@Configuration` class that registers the Spring infrastructure beans necessary to enable proxy-based annotation-driven cache management.

Since:
  3.1
Author:
  Chris Beams, Juergen Hoeller
See Also:
  - `EnableCaching`
  - `CachingConfigurationSelector`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`AbstractCachingConfiguration.CachingConfigurerSupplier`

## Field Summary

### Fields inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`cacheManager, cacheResolver, enableCaching, errorHandler, keyGenerator`

## Constructor Summary

Constructors
Constructor
Description
`ProxyCachingConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`BeanFactoryCacheOperationSourceAdvisor`
`cacheAdvisor(CacheOperationSource cacheOperationSource, CacheInterceptor cacheInterceptor)`
`CacheInterceptor`
`cacheInterceptor(CacheOperationSource cacheOperationSource)`
`CacheOperationSource`
`cacheOperationSource()`

### Methods inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

`setImportMetadata, useCachingConfigurer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyCachingConfiguration

public ProxyCachingConfiguration()

## Method Details

### cacheAdvisor

@Bean(name="org.springframework.cache.config.internalCacheAdvisor") @Role(2) public BeanFactoryCacheOperationSourceAdvisor cacheAdvisor(CacheOperationSource cacheOperationSource, CacheInterceptor cacheInterceptor)

### cacheOperationSource

@Bean @Role(2) public CacheOperationSource cacheOperationSource()

### cacheInterceptor

@Bean @Role(2) public CacheInterceptor cacheInterceptor(CacheOperationSource cacheOperationSource)